package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicTemplateCode {

    //运行状态监控
    public static final String STATE = "SMS_158944282";
    //运行流量监控
    public static final String FLUX = "SMS_159772919";
    //用户日志监控
    public static final String LOG = "SMS_159772920";

    private static DicTemplateCode instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicTemplateCode(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(STATE, STATE);
        dicMap.put(FLUX, FLUX);
        dicMap.put(LOG, LOG);
    }

    public static DicTemplateCode getInstacne(){
        if (instance == null)
        {
            instance = new DicTemplateCode();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }


}
